function [c, ceq] = nonlinconstr(x,d,par)

NT=41;

X=x(1:2*NT);            % i = 1:82
U = x(2*NT+1:end);      % i = 83:89, U = [LT VB D B F zF qF]
MB = X(NT+1);           % MB = X(42)
MD = X(2*NT);           % MD = X(82)
LT = U(1);
VB = U(2);
D = U(3);
B = U(4);

%Controller:
KcB = par.KcB;
KcD = par.KcD;
MDs = par.MDs;
MBs = par.MBs;
Ds = par.Ds;
Bs = par.Bs;

ceq = [colamod(0,X,U) ; U(5:7)-d ; D-KcD*MD-(Ds-MDs*KcD) ;  B-KcB*MB-(Bs-MBs*KcB)];
%D-KcD*MD-(Ds-MDs*KcD) ;  B-KcB*MB-(Bs-MBs*KcB)
%MB-0.5 ;  MD-0.5 
%U(5:7)-d 

c = [];


end