
function f = objfunc(x,prices)            %takes in x = [X U]' and vector with prices

%Conversion of the state vector variables to standard notation:

d = x(87:89);           % d = [F zF qF]'
F = d(1);

U = x(83:89);           % U = [LT VB D B F zF qF]
VB = U(2);
D = U(3);
B = U(4);

%Prices:
p_v = prices(1);
p_f = prices(2);
p_b = prices(3);
p_d = prices(4);


%Cost function:
f = p_f*F + p_v*VB - p_b*B - p_d*D;